<?php declare(strict_types=1);

use Symfony\Component\DependencyInjection\Loader\Configurator\ContainerConfigurator;
use Symfony\Config\TwigConfig;

return static function (TwigConfig $twigConfig, ContainerConfigurator $c): void {
    $twigConfig->fileNamePattern('*.twig');
    $twigConfig->global('favicon', '@App\Service\Favicon');
    $twigConfig->formThemes(['bootstrap_5_layout.html.twig']);
    if ($c->env() === 'test') {
        $twigConfig->strictVariables(true);
    }
};
