#!/usr/bin/env sh

TARGETDIR='deploy/app'

if [ -d $TARGETDIR ]; then
  rm -rf $TARGETDIR
fi
mkdir $TARGETDIR
cd $TARGETDIR || return

pathsToCopy="public bin config migrations src templates composer.json composer.lock symfony.lock .env assets package.json package.lock webpack.config.js"

for path in $pathsToCopy
do
  cp -r ../../"$path" ./
done

npm install
npm run build
APP_ENV=prod composer install --no-dev -a
rm -rf ./var/cache

cd -

